Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Commits on Jul 30, 2013
  1. @andrewjcohen

    Final commit to source

    andrewjcohen authored
  2. @andrewjcohen

    CSS

    andrewjcohen authored
  3. @andrewjcohen

    Changes

    andrewjcohen authored
  4. @andrewjcohen

    Almost there

    andrewjcohen authored
Commits on Jul 29, 2013
  1. @andrewjcohen

    Cleanup

    andrewjcohen authored
  2. @andrewjcohen

    ABCDEFG

    andrewjcohen authored
  3. @andrewjcohen
Commits on Jul 24, 2013
  1. @andrewjcohen

    HTML work

    andrewjcohen authored
  2. @andrewjcohen

    Initial setup done

    andrewjcohen authored
  3. @andrewjcohen

    middleman yay

    andrewjcohen authored
Commits on Jul 19, 2013
  1. @harlow

    Bump to 1.2.4

    harlow authored
    * Update NEWS file
  2. @harlow

    Specify activesupport version for Ruby 1.9.2

    harlow authored
    * There were issues with activesupport 4 and Ruby 1.9.2
    
    https://travis-ci.org/thoughtbot/high_voltage/jobs/9169087
Commits on Jul 17, 2013
  1. @harlow

    Clean up Appraisals and Rake

    harlow authored
  2. @harlow

    Update for Rails 4 compatibility

    harlow authored
    * Remove legacy style routing from README
    * Remove specs for older style routing
    * Update syntax highlighting in README
Commits on Jul 16, 2013
  1. @harlow

    Update Travis CI Ruby and Rails versions

    harlow authored
    * Run certian versions Rails against Ruby 2.0
    * Remove Rails 3.0.20 from CI
  2. @manzhikov @harlow

    Updated README

    manzhikov authored harlow committed
Commits on Jul 8, 2013
  1. @harlow

    Bump Rails version, and remove Ruby 1.8.7

    harlow authored
    * Remove Ruby 1.8.7 support
    * Update Rails version to 4.0.0
  2. @manzhikov

    Rails 4 caching compatible

    manzhikov authored
Commits on Jun 28, 2013
  1. @masonforest
Commits on Jun 15, 2013
  1. @harlow

    Bump to 1.2.3

    harlow authored
Commits on May 15, 2013
  1. @arunagw
Commits on May 10, 2013
  1. @linduxed

    Merge pull request #73 from thoughtbot/mm-spec_helper-tweak

    linduxed authored
    Removed unused line from spec_helper.
  2. @linduxed

    Merge pull request #72 from thoughtbot/mm-mattr_accessor-requiring

    linduxed authored
    lib/high_voltage.rb should be able to be required.
  3. @linduxed

    Merge pull request #75 from thoughtbot/mm-old_ruby-fix

    linduxed authored
    Use older version of capybara.
  4. @linduxed

    Merge pull request #76 from thoughtbot/mm-remove_trailing_whitespace

    linduxed authored
    Removed trailing whitespace.
  5. @linduxed

    Remove superfluous comment.

    linduxed authored
    The previous commit message is enough.
Commits on May 8, 2013
  1. @linduxed

    Removed trailing whitespace.

    linduxed authored
    Because it's evil and evil must be purged.
  2. @linduxed

    Use older version of capybara.

    linduxed authored
    Ruby versions older than 1.9.3 can't use capybara > 2.0.3.
    
    Travis-provided error:
    
        Gem::InstallError: capybara requires Ruby version >= 1.9.3.
        An error occurred while installing capybara (2.1.0), and Bundler
        cannot continue.
        Make sure that `gem install capybara -v '2.1.0'` succeeds before
        bundling.
  3. @linduxed
Commits on May 7, 2013
  1. @linduxed

    Made the main library file loadable.

    linduxed authored
    high_voltage.rb uses mattr_accessor methods, which are provided by
    active_support. Normally these methods are provided by having Rails ran
    beforehand, but this meant that high_voltage couldn't be loaded alone.
    
    Added necessary require to address this.
Commits on Mar 18, 2013
  1. @harlow
Commits on Mar 15, 2013
  1. @jayeff

    Fix markdown rendering

    jayeff authored
Commits on Mar 2, 2013
  1. @mjankowski
  2. @mjankowski
  3. @mjankowski
Something went wrong with that request. Please try again.